Name:    amaya
Version: 7.0
Release: 1mdk
Group: Networking/WWW
Source0: http://www.w3.org/Amaya/Distribution/amaya-src-%{version}.tar.bz2
Source1: %name.1.bz2
Source2: %name-gtk.1.bz2
Source3: %name-lesstif.1.bz2
Patch0: %name-6.4-shared-libs.patch.bz2
Patch1: %name-configure.patch.bz2
Patch2: %name-configure2.patch.bz2
License: W3C License
Url: http://www.w3.org/Amaya/
Summary: W3C's browser/web authoring tool
Requires: lesstif

BuildRequires: libungif-devel libjpeg-devel libpng-devel libz-devel
BuildRequires: lesstif-devel libgtk+-devel perl
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Amaya is a WYSIWYG browser/web authoring tool from the W3C.

This graphical HTML Editor supports many of the latest
draft standards for HTML/XHTML.



%Package lesstif
Summary: W3C's browser/web authoring tool - LessTif version
Group: Networking/WWW
Requires: amaya-common = %version
Obsoletes: amaya
Provides: amaya

%description lesstif
Amaya is a WYSIWYG browser/web authoring tool from the W3C.

Compiled with lesstif.

%Package gtk
Summary: W3C's browser/web authoring tool - GTK version
Group: Networking/WWW
Requires: amaya-common = %version
Obsoletes: amaya
Provides: amaya

%description gtk
Amaya is a WYSIWYG browser/web authoring tool from the W3C.

This version was compiled with the GTK toolkit.

%Package common
Summary: W3C's browser/web authoring tool - common files
Group: Networking/WWW

%description common
Amaya is a WYSIWYG HTML Editor, based on the thot toolkit
developed at INRIA.

This package contains files used by both the lesstif and the gtk gui
(the printing system, documentation, etc).

%prep
%setup -q -n Amaya
%patch0 -p1 -b .not_my_libpng_z
%patch1 -p1 -b .imlib
#%patch2 -p1 -b .use_w3c_lib

%build
%define my_configure configure --without-graphic-lib --prefix=$RPM_BUILD_ROOT%_libdir --exec-prefix=$RPM_BUILD_ROOT/%_prefix
#--datadir=%_datadir
autoconf

rm -rf libpng/zlib gtk-build lesstif-build

export CFLAGS="$RPM_OPT_FLAGS"

# build lesstif version
mkdir -p lesstif-build; pushd lesstif-build
	../%my_configure
	make
popd

# build gtk version
mkdir -p gtk-build; pushd gtk-build
	../%my_configure --with-gtk=yes 
	make
popd


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%_bindir,%_libdir,%_menudir,%_mandir/man1}

for i in gtk lesstif; do
	make install -C $i-build
	# MDK menu entry
	#mkdir -p $RPM_BUILD_ROOT/{%_iconsdir/{large,mini},%_menudir}
	cat << EOF > $RPM_BUILD_ROOT%_menudir/%name-$i
?package(%name-$i): command="%name-$i" \
needs="x11" title="Amaya ($i)" \
longtitle="W3C's browser/web authoring tool" section="Networking/WWW"
EOF
done


# Man pages
bzcat %SOURCE1 > $RPM_BUILD_ROOT%_mandir/man1/%name.1
bzcat %SOURCE2 > $RPM_BUILD_ROOT%_mandir/man1/%name-gtk.1
bzcat %SOURCE3 > $RPM_BUILD_ROOT%_mandir/man1/%name-lesstif.1

# GUIes
for i in gtk lesstif; do
	mkdir -p $RPM_BUILD_ROOT%_libdir/Amaya/applis/$i/
	install -m 0755 $i-build/bin/%name $RPM_BUILD_ROOT%_libdir/Amaya/applis/$i/
	echo -e "#!/bin/sh\nexec %_libdir/Amaya/applis/$i/%name $@" > \
		$RPM_BUILD_ROOT%_bindir/%name-$i
	chmod +x $RPM_BUILD_ROOT%_bindir/%name-$i
done
rm -f $RPM_BUILD_ROOT%_libdir/Amaya/applis/bin/amaya


%clean
rm -rf $RPM_BUILD_ROOT

%post lesstif
%update_menus
update-alternatives --install %_bindir/%name %name %_bindir/%name-lesstif 10
[[ ! -f %_bindir/%name ]] && update-alternatives --auto %name
:

%postun lesstif
#update-alternatives --remove %name /usr/lib/Amaya/applis/bin/amaya-lesstif
[[ ! -f %_bindir/%name ]] && \
    /usr/sbin/update-alternatives --remove %name %_bindir/%name-lesstif
%clean_menus
:

%post gtk
%update_menus
update-alternatives --install %_bindir/%name %name %_bindir/%name-gtk 20
[[ ! -f %_bindir/%name ]] && update-alternatives --auto %name
:

%postun gtk
#update-alternatives --remove %name /usr/lib/Amaya/applis/bin/amaya-gtk
[[ ! -f %_bindir/%name ]] && \
    /usr/sbin/update-alternatives --remove %name %_bindir/%name-gtk
%clean_menus
:


%files common
%defattr(-,root,root)
%doc README* amaya/COPYRIGHT*
%dir %_libdir/Amaya/
%dir %_libdir/Amaya/amaya
%dir %_libdir/Amaya/annotlib
%dir %_libdir/Amaya/applis
%dir %_libdir/Amaya/config
%dir %_libdir/Amaya/dicopar
%dir %_libdir/Amaya/doc
%dir %_libdir/Amaya/fonts
%_libdir/Amaya/amaya/*
%_libdir/Amaya/annotlib/*
%_libdir/Amaya/applis/*
%_libdir/Amaya/config/*
%_libdir/Amaya/dicopar/*
%_libdir/Amaya/doc/*
%_libdir/Amaya/fonts/*
%_mandir/man1/%name.*

%files gtk
%defattr(-,root,root)
%doc amaya/COPYRIGHT
%_bindir/%name-gtk*
%dir %_libdir/Amaya/applis/gtk
%_libdir/Amaya/applis/gtk/%name
%_mandir/man1/%name-gtk.*
%_menudir/%name-gtk

%files lesstif
%defattr(-,root,root)
%doc amaya/COPYRIGHT
%_bindir/%name-lesstif*
%dir %_libdir/Amaya/applis/lesstif
%_libdir/Amaya/applis/lesstif/%name
%_mandir/man1/%name-lesstif.*
%_menudir/%name-lesstif


%changelog
* Wed Dec 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 7.0-1mdk
- 7.0

* Tue Oct 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 6.4-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- new release
	- updated zlib patch to fit new Makefile

* Wed May 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 6.1-1mdk
- new release

* Tue Apr 16 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.3-4mdk
- speed up the build by
	- removing -g
	- use %%make^h^h^h^h^h^h err not... too buggy
- split into lesstif/gtk/common packages
	- add wrapprt to amaya-{gtk,lesstif} to prevent thotlib fscking
	- use alternatives
- add menu entry
- spec clean:
	- enhance descriptions and summaries
	- remove uneeded prefix
	- fix BuildRequires
	- get rid of $RPM_BUILD_DIR references
	- remove $RPM_BUILD_ROOT cleaning from %%prep
	- striping is spec-helper job
- versionate and clean shared libs patches (which make use of system wide
  libpng and zlib) [Patch0]
  by the way, this is a nice patch, lenny
- use imlib-config [Patch1]
- use system-wide w3c-libwww [Patch2] => smaller package
  still a problem to investigate => will disable this at this stage
- add amaya{,-gtk,-lesstif}(1) man pages [Sources 1 to 3]
- add ownership on amaya directories
- move package files from %%_datadir to %%_libdir since there's
  binary files in


* Thu Mar 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 5.3-3mdk
- use shared zlib lib

* Mon Feb 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.3-2mdk
- s!(W3C) licence!\1Licence for new rpmlint

* Wed Jan 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 5.3-1mdk
- 5.3

* Tue Oct 09 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.1-2mdk
- sanitize

* Wed Jul 18 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.1-1mdk
- new release

* Thu Jul 05 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0-1mdk
- new release

* Tue Jun 26 2001  Lenny Cartier <lenny@mandrakesoft.com> 4.3.2-2mdk
- rebuild

* Fri Mar 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.3.2-1mdk
- updated to 4.3.2

* Fri Mar 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.3.1-2mdk
- fix desc & url

* Thu Mar 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.3.1-1mdk 
- updated to 4.3.1

* Mon Mar 05 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.3-1mdk
- new version

* Thu Jan 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.2.1-1mdk
- updated to 4.2.1

* Fri Nov 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.1-1mdk
- new and shiny distribution of Amaya.
- strip_me_babe

* Sat Nov 11 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.0-1mdk
- new and shiny version from the good people at w3.

* Thu Jul 20 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 3.2.1-1mdk
- first package for mandrake 

